Skip to main content
POST
/
v1
/
custom_fields
[DEPRECATED] Creates a Custom Field
curl --request POST \
  --url https://api.rootly.com/v1/custom_fields \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "custom_fields",
    "attributes": {
      "label": "<string>",
      "description": "<string>",
      "shown": [],
      "required": [],
      "default": "<string>",
      "position": 123
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/custom_fields"

payload = { "data": {
"type": "custom_fields",
"attributes": {
"label": "<string>",
"description": "<string>",
"shown": [],
"required": [],
"default": "<string>",
"position": 123
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'custom_fields',
attributes: {
label: '<string>',
description: '<string>',
shown: [],
required: [],
default: '<string>',
position: 123
}
}
})
};

fetch('https://api.rootly.com/v1/custom_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "custom_fields",
    "attributes": {
      "label": "<string>",
      "shown": [],
      "required": [],
      "position": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "kind": "<string>",
      "enabled": true,
      "slug": "<string>",
      "description": "<string>",
      "default": "<string>"
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object
required

Response

custom_field created

data
object
required
included
object[]